import { R as e, a4 as s, az as n, a5 as i, aA as p } from "./main-255328c3.mjs";
import { p as g } from "./mermaid-parser.core-da4f923f.mjs";
import "vue";
import "./_basePickBy-a465fc37.mjs";
import "./_baseUniq-e54e3d96.mjs";
import "./clone-873adc9c.mjs";
var v = {
  parse: /* @__PURE__ */ e(async (r) => {
    const a = await g("info", r);
    s.debug(a);
  }, "parse")
}, d = {
  version: p.version + ""
}, m = /* @__PURE__ */ e(() => d.version, "getVersion"), c = {
  getVersion: m
}, f = /* @__PURE__ */ e((r, a, o) => {
  s.debug(`rendering info diagram
` + r);
  const t = n(a);
  i(t, 100, 400, !0), t.append("g").append("text").attr("x", 100).attr("y", 40).attr("class", "version").attr("font-size", 32).style("text-anchor", "middle").text(`v${o}`);
}, "draw"), l = { draw: f }, S = {
  parser: v,
  db: c,
  renderer: l
};
export {
  S as diagram
};
